Failover Groups - List By Server
Lists the failover groups in a server.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/failoverGroups?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server containing the failover group. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
|
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the failover groups. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
List failover group
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups?api-version=2021-02-01-preview
Sample Response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test",
"name": "failover-group-test",
"type": "Microsoft.Sql/servers/failoverGroups",
"location": "Japan East",
"properties": {
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 480
},
"readOnlyEndpoint": {
"failoverPolicy": "Disabled"
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP",
"partnerServers": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server",
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"databases": []
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-2",
"name": "failover-group-test-2",
"type": "Microsoft.Sql/servers/failoverGroups",
"location": "Japan East",
"properties": {
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 480
},
"readOnlyEndpoint": {
"failoverPolicy": "Disabled"
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP",
"partnerServers": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server",
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"databases": []
}
}
]
}
Definitions
|
Failover |
A failover group. |
|
Failover |
A list of failover groups. |
|
Failover |
Read-only endpoint of the failover group instance. |
|
Failover |
Read-write endpoint of the failover group instance. |
|
Failover |
Local replication role of the failover group instance. |
|
Partner |
Partner server information for the failover group. |
|
Read |
Failover policy of the read-only endpoint for the failover group. |
|
Read |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
FailoverGroup
A failover group.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| location |
|
Resource location. |
| name |
|
Resource name. |
| properties.databases |
|
List of databases in the failover group. |
| properties.partnerServers |
List of partner server information for the failover group. |
|
| properties.readOnlyEndpoint |
Read-only endpoint of the failover group instance. |
|
| properties.readWriteEndpoint |
Read-write endpoint of the failover group instance. |
|
| properties.replicationRole |
Local replication role of the failover group instance. |
|
| properties.replicationState |
|
Replication state of the failover group instance. |
| tags |
|
Resource tags. |
| type |
|
Resource type. |
FailoverGroupListResult
A list of failover groups.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Link to retrieve next page of results. |
| value |
Array of results. |
FailoverGroupReadOnlyEndpoint
Read-only endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-only endpoint for the failover group. |
FailoverGroupReadWriteEndpoint
Read-write endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
|
| failoverWithDataLossGracePeriodMinutes |
|
Grace period before failover with data loss is attempted for the read-write endpoint. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
FailoverGroupReplicationRole
Local replication role of the failover group instance.
| Name | Type | Description |
|---|---|---|
| Primary |
|
|
| Secondary |
|
PartnerInfo
Partner server information for the failover group.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource identifier of the partner server. |
| location |
|
Geo location of the partner server. |
| replicationRole |
Replication role of the partner server. |
ReadOnlyEndpointFailoverPolicy
Failover policy of the read-only endpoint for the failover group.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
ReadWriteEndpointFailoverPolicy
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.
| Name | Type | Description |
|---|---|---|
| Automatic |
|
|
| Manual |
|